Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface PrimaryKey

All Superinterfaces:
  Key, M4Data, M4Object

All Known Implementing Classes:
  PrimaryKey

public interface PrimaryKey
extends Key

A PrimaryKey models the fact that some Columns of a Columnset enable a unique identification of each row in that Columnset. That is, the combination of entries of the Columns belonging to the PrimaryKey is enough to identify each row. Each PrimaryKey belongs to exactly one Columnset and can have a number of Columns, all of which must belong to that Columnset.

Version:
  $Id: PrimaryKey.java,v 1.3 2006/04/11 14:10:12 euler Exp $
Author:
  Timm Euler, Daniel Hakenjos

Method Summary
`void` | `addColumn(Column column)`
`PrimaryKey` | `copy(Columnset newColumnSet)`
`java.util.Collection` | `getAllColumns()`
`Columnset` | `getColumnset()`
`void` | `removeAllColumns()`
`void` | `removeColumn(java.lang.String name)`
`void` | `setColumnset(Columnset columnSet)`

Methods inherited from interface edu.udo.cs.miningmart.m4.Key
`getForeignKeyColumnset, getPrimaryKeyColumnset, setForeignKeyColumnset, setPrimaryKeyColumnset`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Data
`deleteSoon, getDocumentation, getValidName, isDirty, isWaitingForDelete, setDocumentation`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, print, putM4ObjectToCache, replaceSpacesInName, setId, setName`

Method Detail

### addColumn

    public void addColumn(Column column)
                   throws M4Exception

  Throws:
    `M4Exception`

### copy

    public PrimaryKey copy(Columnset newColumnSet)
                    throws M4Exception

  Throws:
    `M4Exception`

### getColumnset

    public Columnset getColumnset()

### setColumnset

    public void setColumnset(Columnset columnSet)
                      throws M4Exception

  Throws:
    `M4Exception`

### getAllColumns

    public java.util.Collection getAllColumns()
                                       throws M4Exception

  Throws:
    `M4Exception`

### removeAllColumns

    public void removeAllColumns()
                          throws M4Exception

  Throws:
    `M4Exception`

### removeColumn

    public void removeColumn(java.lang.String name)
                      throws M4Exception

  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005